Abstract Form Decorator for all jQuery UI Form Elements

package | ZendX_JQuery
subpackage | Form
copyright | Copyright (c) 2005-2014 Zend Technologies USA Inc. (http://www.zend.com)
license | New BSD License

### Methods

## Get element attributes

    getElementAttribs() : array

### Returns

`array`

## Retrieve a single jQuery option parameter

    getJQueryParam(string $key) : mixed | null

### Parameters

#### $key

`string`

### Returns

`mixed` `null`

## Get jQuery option parameters

    getJQueryParams() : array

### Returns

`array`

## Render an jQuery UI Widget element using its associated view helper

    render(string $content) : string

### Parameters

#### $content

`string`

### Exceptions

`\Zend_Form_Decorator_Exception` | if element or view are not registered

### Returns

`string`

## Set a single jQuery option parameter

    setJQueryParam(string $key, mixed $value) : \ZendX_JQuery_Form_Decorator_UiWidgetElement

### Parameters

#### $key

`string`

#### $value

`mixed`

### Returns

`\ZendX_JQuery_Form_Decorator_UiWidgetElement`

## Set jQuery option parameters

    setJQueryParams(array $params) : \ZendX_JQuery_Form_Decorator_UiWidgetElement

### Parameters

#### $params

`array`

### Returns

`\ZendX_JQuery_Form_Decorator_UiWidgetElement`

### Properties

## jQuery UI View Helper

    $helper : \ZendX_JQuery_View_Helper_UiWidget

### Default

## Element attributes

    $_attribs : array

### Default

## jQuery related attributes/options

    $_jQueryParams : array

### Default

`array()`